Após a nova instalação do Ubuntu 15.04, a inicialização solicita a senha, mesmo que nenhuma criptografia de disco tenha sido configurada

22

Instalei um novo SSD no meu laptop e fiz uma nova instalação do Ubuntu 15.04, sem a utilização da criptografia do sistema NO (somente criptografia de diretório inicial). No entanto, ele ainda me pede uma senha ao iniciar (basta pressionar Enter para pular):

Além disso, depois de fazer a nova instalação, a atualização de pacotes também me pede uma senha várias vezes, o que Enter também ignora. O programa é "systemd-tty-ask-password-agent", então o problema parece ser com o systemd.

A mensagem relevante no terminal:

Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none! 
update-initramfs: deferring update (trigger activated)

Broadcast message from [email protected] (Thu 2015-04-30 22:06:22 EDT):

Password entry required for 'Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none!' (PID 4027).
Please enter password with the systemd-tty-ask-password-agent tool!

A saída completa da execução da atualização:

[email protected]:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  ca-certificates firefox gir1.2-gudev-1.0 libcurl3 libcurl3-gnutls
  libgudev-1.0-0 libnm-glib-vpn1 libnm-glib4 libnm-util2 liboxideqt-qmlplugin
  liboxideqtcore0 liboxideqtquick0 libpam-systemd libsystemd0 libudev1
  network-manager oxideqt-codecs systemd systemd-sysv tzdata udev
  usb-creator-common usb-creator-gtk wpasupplicant
24 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 47.9 MB/73.2 MB of archives.
After this operation, 2,989 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libudev1 amd64 219-7ubuntu4 [40.8 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main udev amd64 219-7ubuntu4 [929 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main systemd-sysv amd64 219-7ubuntu4 [14.0 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libpam-systemd amd64 219-7ubuntu4 [108 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libsystemd0 amd64 219-7ubuntu4 [73.8 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main systemd amd64 219-7ubuntu4 [3,531 kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libcurl3-gnutls amd64 7.38.0-3ubuntu2.2 [172 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libcurl3 amd64 7.38.0-3ubuntu2.2 [180 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libgudev-1.0-0 amd64 1:219-7ubuntu4 [14.4 kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libnm-util2 amd64 0.9.10.0-4ubuntu15.1 [134 kB]
Get:11 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libnm-glib-vpn1 amd64 0.9.10.0-4ubuntu15.1 [14.4 kB]
Get:12 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main libnm-glib4 amd64 0.9.10.0-4ubuntu15.1 [84.7 kB]
Get:13 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main tzdata all 2015d-0ubuntu0.15.04 [178 kB]
Get:14 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main ca-certificates all 20141019ubuntu0.15.04.1 [191 kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main firefox amd64 37.0.2+build1-0ubuntu0.15.04.1 [40.1 MB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main gir1.2-gudev-1.0 amd64 1:219-7ubuntu4 [5,564 B]
Get:17 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main wpasupplicant amd64 2.1-0ubuntu7.1 [768 kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main network-manager amd64 0.9.10.0-4ubuntu15.1 [754 kB]
Get:19 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main usb-creator-gtk amd64 0.2.67ubuntu0.1 [23.4 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main usb-creator-common amd64 0.2.67ubuntu0.1 [23.7 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ vivid-updates/main oxideqt-codecs amd64 1.6.5-0ubuntu0.15.04.1 [533 kB]
Fetched 47.9 MB in 1min 18s (613 kB/s)                                         
Preconfiguring packages ...
(Reading database ... 171469 files and directories currently installed.)
Preparing to unpack .../libudev1_219-7ubuntu4_amd64.deb ...
Unpacking libudev1:amd64 (219-7ubuntu4) over (219-7ubuntu3) ...
Setting up libudev1:amd64 (219-7ubuntu4) ...
Processing triggers for libc-bin (2.21-0ubuntu4) ...
(Reading database ... 171469 files and directories currently installed.)
Preparing to unpack .../udev_219-7ubuntu4_amd64.deb ...
Unpacking udev (219-7ubuntu4) over (219-7ubuntu3) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for ureadahead (0.100.0-19) ...
ureadahead will be reprofiled on next reboot
Processing triggers for systemd (219-7ubuntu3) ...
Setting up udev (219-7ubuntu4) ...
Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none! 
update-initramfs: deferring update (trigger activated)

Broadcast message from [email protected] (Thu 2015-04-30 22:06:22 EDT):

Password entry required for 'Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none!' (PID 4027).
Please enter password with the systemd-tty-ask-password-agent tool!

Processing triggers for initramfs-tools (0.103ubuntu15) ...
update-initramfs: Generating /boot/initrd.img-3.19.0-15-generic
(Reading database ... 171469 files and directories currently installed.)
Preparing to unpack .../systemd-sysv_219-7ubuntu4_amd64.deb ...
Unpacking systemd-sysv (219-7ubuntu4) over (219-7ubuntu3) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up systemd-sysv (219-7ubuntu4) ...
(Reading database ... 171469 files and directories currently installed.)
Preparing to unpack .../libpam-systemd_219-7ubuntu4_amd64.deb ...
Unpacking libpam-systemd:amd64 (219-7ubuntu4) over (219-7ubuntu3) ...
Preparing to unpack .../libsystemd0_219-7ubuntu4_amd64.deb ...
Unpacking libsystemd0:amd64 (219-7ubuntu4) over (219-7ubuntu3) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libsystemd0:amd64 (219-7ubuntu4) ...
Processing triggers for libc-bin (2.21-0ubuntu4) ...
(Reading database ... 171469 files and directories currently installed.)
Preparing to unpack .../systemd_219-7ubuntu4_amd64.deb ...
Unpacking systemd (219-7ubuntu4) over (219-7ubuntu3) ...
Processing triggers for dbus (1.8.12-1ubuntu5) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for ureadahead (0.100.0-19) ...
Setting up systemd (219-7ubuntu4) ...
Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none! 
(Reading database ... 171469 files and directories currently installed.)
Preparing to unpack .../libcurl3-gnutls_7.38.0-3ubuntu2.2_amd64.deb ...
Unpacking libcurl3-gnutls:amd64 (7.38.0-3ubuntu2.2) over (7.38.0-3ubuntu2) ...
Preparing to unpack .../libcurl3_7.38.0-3ubuntu2.2_amd64.deb ...
Unpacking libcurl3:amd64 (7.38.0-3ubuntu2.2) over (7.38.0-3ubuntu2) ...
Preparing to unpack .../libgudev-1.0-0_1%3a219-7ubuntu4_amd64.deb ...
Unpacking libgudev-1.0-0:amd64 (1:219-7ubuntu4) over (1:219-7ubuntu3) ...
Preparing to unpack .../libnm-util2_0.9.10.0-4ubuntu15.1_amd64.deb ...
Unpacking libnm-util2:amd64 (0.9.10.0-4ubuntu15.1) over (0.9.10.0-4ubuntu15) ...
Preparing to unpack .../libnm-glib-vpn1_0.9.10.0-4ubuntu15.1_amd64.deb ...
Unpacking libnm-glib-vpn1:amd64 (0.9.10.0-4ubuntu15.1) over (0.9.10.0-4ubuntu15) ...
Preparing to unpack .../libnm-glib4_0.9.10.0-4ubuntu15.1_amd64.deb ...
Unpacking libnm-glib4:amd64 (0.9.10.0-4ubuntu15.1) over (0.9.10.0-4ubuntu15) ...
Preparing to unpack .../tzdata_2015d-0ubuntu0.15.04_all.deb ...
Unpacking tzdata (2015d-0ubuntu0.15.04) over (2015c-1) ...
Setting up tzdata (2015d-0ubuntu0.15.04) ...

Current default time zone: 'America/New_York'
Local time is now:      Thu Apr 30 22:20:06 EDT 2015.
Universal Time is now:  Fri May  1 02:20:06 UTC 2015.
Run 'dpkg-reconfigure tzdata' if you wish to change it.

(Reading database ... 171469 files and directories currently installed.)
Preparing to unpack .../ca-certificates_20141019ubuntu0.15.04.1_all.deb ...
Unpacking ca-certificates (20141019ubuntu0.15.04.1) over (20141019) ...
Preparing to unpack .../firefox_37.0.2+build1-0ubuntu0.15.04.1_amd64.deb ...
Unpacking firefox (37.0.2+build1-0ubuntu0.15.04.1) over (37.0+build2-0ubuntu1) ...
Preparing to unpack .../gir1.2-gudev-1.0_1%3a219-7ubuntu4_amd64.deb ...
Unpacking gir1.2-gudev-1.0 (1:219-7ubuntu4) over (1:219-7ubuntu3) ...
Preparing to unpack .../wpasupplicant_2.1-0ubuntu7.1_amd64.deb ...
Unpacking wpasupplicant (2.1-0ubuntu7.1) over (2.1-0ubuntu7) ...
Preparing to unpack .../network-manager_0.9.10.0-4ubuntu15.1_amd64.deb ...
Unpacking network-manager (0.9.10.0-4ubuntu15.1) over (0.9.10.0-4ubuntu15) ...

Broadcast message from [email protected] (Thu 2015-04-30 22:20:19 EDT):

Password entry required for 'Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none!' (PID 15391).
Please enter password with the systemd-tty-ask-password-agent tool!

Preparing to unpack .../usb-creator-gtk_0.2.67ubuntu0.1_amd64.deb ...
Unpacking usb-creator-gtk (0.2.67ubuntu0.1) over (0.2.67) ...
Preparing to unpack .../usb-creator-common_0.2.67ubuntu0.1_amd64.deb ...
Unpacking usb-creator-common (0.2.67ubuntu0.1) over (0.2.67) ...
Preparing to unpack .../liboxideqt-qmlplugin_1.6.5-0ubuntu0.15.04.1_amd64.deb ...
Unpacking liboxideqt-qmlplugin:amd64 (1.6.5-0ubuntu0.15.04.1) over (1.5.5-0ubuntu1) ...
Preparing to unpack .../liboxideqtquick0_1.6.5-0ubuntu0.15.04.1_amd64.deb ...
Unpacking liboxideqtquick0:amd64 (1.6.5-0ubuntu0.15.04.1) over (1.5.5-0ubuntu1) ...
Preparing to unpack .../liboxideqtcore0_1.6.5-0ubuntu0.15.04.1_amd64.deb ...
Unpacking liboxideqtcore0:amd64 (1.6.5-0ubuntu0.15.04.1) over (1.5.5-0ubuntu1) ...
Preparing to unpack .../oxideqt-codecs_1.6.5-0ubuntu0.15.04.1_amd64.deb ...
Unpacking oxideqt-codecs:amd64 (1.6.5-0ubuntu0.15.04.1) over (1.5.5-0ubuntu1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu5) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu3) ...
Processing triggers for bamfdaemon (0.5.1+15.04.20150202-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.58ubuntu1) ...
Processing triggers for dbus (1.8.12-1ubuntu5) ...
Processing triggers for systemd (219-7ubuntu4) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for hicolor-icon-theme (0.14-0ubuntu1) ...
Setting up libpam-systemd:amd64 (219-7ubuntu4) ...
Setting up libcurl3-gnutls:amd64 (7.38.0-3ubuntu2.2) ...
Setting up libcurl3:amd64 (7.38.0-3ubuntu2.2) ...
Setting up libgudev-1.0-0:amd64 (1:219-7ubuntu4) ...
Setting up libnm-util2:amd64 (0.9.10.0-4ubuntu15.1) ...
Setting up libnm-glib-vpn1:amd64 (0.9.10.0-4ubuntu15.1) ...
Setting up libnm-glib4:amd64 (0.9.10.0-4ubuntu15.1) ...
Setting up ca-certificates (20141019ubuntu0.15.04.1) ...
Setting up firefox (37.0.2+build1-0ubuntu0.15.04.1) ...
Please restart all running instances of firefox, or you will experience problems.
Setting up gir1.2-gudev-1.0 (1:219-7ubuntu4) ...
Setting up wpasupplicant (2.1-0ubuntu7.1) ...
Setting up network-manager (0.9.10.0-4ubuntu15.1) ...
Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none! 

Broadcast message from [email protected] (Thu 2015-04-30 22:20:47 EDT):

Password entry required for 'Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none!' (PID 19822).
Please enter password with the systemd-tty-ask-password-agent tool!

Please enter passphrase for disk Crucial_CT250MX200SSD4 (cryptswap1) on none! 
Setting up usb-creator-common (0.2.67ubuntu0.1) ...
Setting up usb-creator-gtk (0.2.67ubuntu0.1) ...
Setting up oxideqt-codecs:amd64 (1.6.5-0ubuntu0.15.04.1) ...
Setting up liboxideqtcore0:amd64 (1.6.5-0ubuntu0.15.04.1) ...
Setting up liboxideqtquick0:amd64 (1.6.5-0ubuntu0.15.04.1) ...
Setting up liboxideqt-qmlplugin:amd64 (1.6.5-0ubuntu0.15.04.1) ...
Processing triggers for libc-bin (2.21-0ubuntu4) ...
Processing triggers for ca-certificates (20141019ubuntu0.15.04.1) ...
Updating certificates in /etc/ssl/certs... 0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.
[email protected]:~$ 

Alguém postou um problema semelhante aqui , mas isso parece estar relacionado ao OpenVPN, que não estou usando. Eu não tenho o arquivo /etc/default/openvpn mesmo assim.

Como corrijo este problema?

    
por Blossoming_Flower 01.05.2015 / 06:02

7 respostas

10

Esta não é a solução correta e, como Christian diz nos comentários abaixo, isso a tornará menos segura. Mas se a criptografia não é uma prioridade para você, você pode usar essa solução alternativa.

Primeiro encontre a partição que tem a troca

sudo fdisk -l
[sudo] password for kempe: 

Disk /dev/sda: 233,8 GiB, 251000193024 bytes, 490234752 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes
Disklabel type: gpt
Disk identifier: B59D4149-AC8E-4B71-B51F-8926B2E82C14

Device         Start       End   Sectors   Size Type
/dev/sda1       2048    409599    407552   199M EFI System
/dev/sda2     409640 253319775 252910136 120,6G Apple HFS/HFS+
/dev/sda3  253321216 269320191  15998976   7,6G Linux swap
/dev/sda4  269320192 490233855 220913664 105,3G Linux filesystem

No meu caso, a troca está em /dev/sda3

depois, desligue o swap

sudo swapoff -a

desabilite o cryptswap

sudo cryptsetup remove /dev/mapper/cryptswap1

Remova a linha correspondente em / etc / crypttab. Eu só tinha uma linha lá, mas você pode ter mais, então certifique-se de remover o correto em

sudo vim /etc/crypttab 

Configure uma nova área de troca (lembre-se da saída do fstab)

sudo /sbin/mkswap /dev/sda3
sudo swapon /dev/sda3

e finalmente consertar a linha fstab

sudo vim /etc/fstab

substitua /dev/mapper/cryptswap1 por /dev/sda3

Ativar e desativar a troca criptografada - Ubuntu

    
por Kempe 01.05.2015 / 09:11
9

Este é um problema conhecido e deve ser corrigido em breve:

link

Resumindo: Sob certas circunstâncias, o systemd não reconhece corretamente o swap encriptado e solicita uma senha que nunca foi configurada. O swap é sempre criptografado caso a criptografia da página inicial seja ativada, pois os dados do usuário podem ser trocados e, em seguida, ficarem descriptografados.

    
por Christian 03.05.2015 / 11:21
5

Consegui resolver este problema com os seguintes passos:

Em um prompt de comando, execute gnome-disks

Descubra qual dispositivo é a sua unidade de troca. O meu foi /dev/sda3

ls -l /dev/disk/by-uuid/

Encontre o ID que é vinculado à sua partição swap

sudo vim /etc/crypttab

Na linha que começa com cryptswap1, altere a parte UUID =… para / dev / disk / by-id / ID-HERE. Salve e reinicie.

Se ainda for solicitada uma senha, execute:

sudo dd if=/dev/zero of=/dev/sdaX bs=512 count=20480

Reinicie novamente.

    
por Matt 14.01.2016 / 05:54
1

Execute sudo fdisk -l para localizar a partição swap (por exemplo, / dev / sda6)

Pegue o UUID em / etc / crypttab ou sudo blkid para / dev / sda6 (substitua o dispositivo pelo seu swap)

Executar sudo swapoff /dev/sda6

Execute sudo mkswap -U UUID /dev/sda6 (substitua o UUID e o dispositivo pelo seu swap)

Anexe ,offset=1024 ao final da linha cryptswap em / etc / crypttab

Adicione "/ dev / mapper / cryptswap1 nenhum swap sw 0 0" para / etc / fstab

Executar sudo update-initramfs -u

Executar sudo swapon -a

Verifique se a troca está ativa com sudo systemctl status /dev/mapper/cryptswap

    
por tozhan 28.07.2015 / 18:52
1

Este problema ainda existe mesmo no Ubuntu 15.10. Eu fiz temporariamente solução - desligada a criptografia para a partição de swap (casa ainda está criptografada). Este guia funcionou para mim neste caso. Esta solicitação de frase secreta não está mais me impedindo de inicializar o sistema e atualizar o software.

Talvez, mais tarde, eu volte a ativar a criptografia da partição swap (usando o mesmo guia ), quando eu saberá que esse bug foi corrigido.

    
por Oleksandr Tarasenko 15.03.2016 / 06:49
0

A melhor solução é desativar (descomentar) a linha de swap clássica no fstab (não no mapeador). Se você reinicializar e digitar sudo swapon --summary, deverá obter uma partição swap em / dev / dm-X (geralmente 0). Se sim, ser feliz cryptswap está funcionando bem.

    
por Ralph 30.06.2015 / 20:12
0

Como uma alternativa para resolver o bug, o processo init pode ser comutado para upstart, já que este é um bug relacionado com o systemd. Aqui é declarado que o upstart pode ser usado como solução alternativa.

Para fazer isso, a maneira mais fácil é instalar o pacote correspondente:

sudo apt-get install upstart-sysv

Após a instalação, você ainda pode iniciar o sistema com o systemd no submenu "Opções avançadas para o Ubuntu" do grub, com uma opção chamada "Ubuntu, com Linux… (systemd)".

    
por aalgo 04.08.2015 / 11:25